Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 674284 - net-firewall/iptables-1.8.2-r2 with net-firewall/arptables - file collisions in /sbin/arptables-save /sbin/arptables-restore
Summary: net-firewall/iptables-1.8.2-r2 with net-firewall/arptables - file collisions ...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-01 21:58 UTC by Phil
Modified: 2019-01-01 23:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phil 2019-01-01 21:58:49 UTC
When trying to update iptables package, it complains about file collisions with arptables package. Affected files are:

* /sbin/arptables-save
* /sbin/arptables-restore

Fix is analogous to Bug 669894:

--- a/iptables-1.8.2-r2.ebuild.orig
+++ b/iptables-1.8.2-r2.ebuild
@@ -114,7 +114,7 @@ src_install() {
                rm "${ED%/}"/sbin/{arptables,ebtables} || die
 
                # Bug 669894
-               rm "${ED%/}"/sbin/ebtables-{save,restore} || die
+               rm "${ED%/}"/sbin/{arp,eb}tables-{save,restore} || die
        fi
 
        systemd_dounit "${FILESDIR}"/systemd/iptables-{re,}store.service